Jump to content
Luke

New Thecus Package

Recommended Posts

Luke

Download qpkg:

 

Please see our download page: https://emby.media/download

 

What is This?

 

This is a Thecus package that will be developed by the Emby team and after a brief testing period will be made available for download on our website. This is completely separate from the Thecus package that is available from Thecus, and thus will be a new installation.

 

Advantages over Current Package

  • Built with .NET Core, which is smaller and faster than the mono runtime, with major performance improvements.
  • Everything is self contained, no more mono or worrying about any other dependencies !
  • No more fumbling with the ffmpeg setup !
  • VAAPI hardware transcoding support included and tested by us !
  • Builds will always be immediately available after new Emby Server releases !

Share this post


Link to post
Share on other sites
Luke

Just a heads up, I've removed the link from the first post and going forward you can find this package from the download page of our website:

 

https://emby.media/download

 

It's under the NAS section, then select Thecus.

 

Thanks guys.

Share this post


Link to post
Share on other sites
throgmorton

Can't seem to get the package installed and its claiming it needs a firmware of 3.00.00 or greater.  However the latest firmware released last year for most of the LinuxNAS's is only at 2.06.02.10.  Ive tried both 3.3.1.0 and 3.3.1.5 (beta).  Sample log from ThecusNAS below.  Tried on Thecus N7770-10G which is running I believe ThecusOS 5.

App Name: [ Emby Server ]
App Version: [ 3.3.1.5 ]
2018/03/15 16:22:53: App is installing ...
2018/03/15 16:22:53: Install/Upgrade App failed becase NAS versions do not match (firmware version needs to be above 3.00.00).
2018/03/15 16:22:53: App installation failed.

Share this post


Link to post
Share on other sites
Luke

What is your architecture?

Share this post


Link to post
Share on other sites
throgmorton

What is your architecture?

 

Its a 64-bit machine. Is there something specific you are looking for?

Share this post


Link to post
Share on other sites
Luke

I was just making sure. I will create a ticket in our internal tracker. Our Thecus build developer has low availability this week so you might not get an answer until next week.

Share this post


Link to post
Share on other sites
throgmorton

I was just making sure. I will create a ticket in our internal tracker. Our Thecus build developer has low availability this week so you might not get an answer until next week.

 

No problem, there wasn't isn't much rush I was just eager to try it out as you said there are some major performance increases, which was one of the hold backs for me to switch over to being on the Thecus server.

Share this post


Link to post
Share on other sites
Luke

Yea I think what we'll do next week is just lower the requirement in a test build and have you try it out. Thanks.

Share this post


Link to post
Share on other sites
throgmorton

Yea I think what we'll do next week is just lower the requirement in a test build and have you try it out. Thanks.

 

Sounds good let me know when you have it ready and i'll give it a spin.

Share this post


Link to post
Share on other sites
dude14

Hello,

 

I am using Emby for a while now and it is working well. So thank you for that.

 

I am still using version 3.2.70 because the newer updates won't install. I get the error: Firmware mode (N7700) does not match.

 

I am running Emby on a Thecus N4200eco. This is an x86 machine running on OS5.

 

Is there a solution ?

Share this post


Link to post
Share on other sites
Luke

Have you tried with our latest release?

 

Thanks.

Share this post


Link to post
Share on other sites
dude14

Latest one I tried is 'emby-server-thecus_3.4.1.4_x86_64'. 

Share this post


Link to post
Share on other sites
Luke

Are you able to update your firmware?

Share this post


Link to post
Share on other sites
dude14

I am afraid not. It's running on 5.03.02 which is the latest firmware for the machine.

  • Like 1

Share this post


Link to post
Share on other sites
Glenn

Running a Thecus N5550 here.

Package https://github.com/MediaBrowser/Emby.Releases/releases/download/3.4.1.0/emby-server-thecus_3.4.1.0_x86_64.mod always fails to even upload.

Package https://github.com/MediaBrowser/Emby.Releases/releases/download/3.4.1.6/emby-server-thecus_3.4.1.6_x86_64.mod does upload but after 10 minutes the NAS is still saying "Installing application..." that mostly indicates at not being able to install it.

 

The version of Outkast ( 3.2.70.0 ) installs in less than a minute.

  • Like 1

Share this post


Link to post
Share on other sites
bebaldin

Running a Thecus N5550 here.

Package https://github.com/MediaBrowser/Emby.Releases/releases/download/3.4.1.0/emby-server-thecus_3.4.1.0_x86_64.mod always fails to even upload.

Package https://github.com/MediaBrowser/Emby.Releases/releases/download/3.4.1.6/emby-server-thecus_3.4.1.6_x86_64.mod does upload but after 10 minutes the NAS is still saying "Installing application..." that mostly indicates at not being able to install it.

 

The version of Outkast ( 3.2.70.0 ) installs in less than a minute.

 

Same here. Running a N5500 and I get the same problems. 3.2.70.0 still runs well but I have to manually stop and start it occasionally thanks to the removal of the auto-restart plug-in. Emby gets very sluggish after a few days if I do not. 

Share this post


Link to post
Share on other sites
throgmorton

Tried the latest 3.4.1.19, and even though it installs fine, it just won't start properly.  Even trying to remove the program it will basically hang.

 

N7770-10G Firm: 2.06.02.10

 

I was going to try on my N7700+ although from the above post it doesn't look like 5.03.02 works either.

 

I'm wondering if there is some other dependency that I would need installed.

Edited by throgmorton

Share this post


Link to post
Share on other sites
Luke

I'm not sure at this point yet. We have not yet personally tested an older to thecus based on the older firmware.

 

In a perfect world we'd like to. We're going as fast as we can to support as many devices as possible. Thanks.

Share this post


Link to post
Share on other sites
Glenn

Tried this again with the latest mod ( 3.5.2.0 ) on my Thecus N5550.

So current status, the server software WORKS! Great news and is a lot faster than the older pre .Net Core versions.

 

But, the Thecus OS still does not like the current mod version very much... after installation of the mod, you need to 'start' the module in the thecus manual application installation area.

This gives no feedback after trying for a while... a good working mod will tell you that it has been started. Trying to start it again results in nothing.

But this does actually trigger the software to run! So even though you get no feedback in the thecus admin area, the mod is actually running and working.

 

Secondly if you reboot the NAS, you need to trigger the start manually again, because after reboot thecus OS will tell you the emby server mod restarting is not working.

 

So overall, it works, but it needs to be trigger manually to start ( even after NAS reboot ) and you won't see visual confirmation in the thecus admin panel.

Share this post


Link to post
Share on other sites
Luke

Thanks for the feedback! We'll have to look and see what we might be able to do there.

Share this post


Link to post
Share on other sites
throgmorton

Tried this again with the latest mod ( 3.5.2.0 ) on my Thecus N5550.

 

Just out of curiosity your N5550 is it running firmware V2.06.02.10 like my N7770-10G is?

 

I did have the same sort of experience as you describe, where I had to manually start the server as it would not properly auto launch.  The problem I was experiencing was that on a reboot of the NAS it would actually stall during the bootup, to the point where I had to hookup a monitor to the NAS to see what was going on.  As mentioned above the last time I tried was using version 3.4.1.19 so maybe there has been some improvement in 3.5.2 so it doesn't hang on the reboot of the NAS.  Also is there was any additional apps you installed which I may have missed that are required.

Edited by throgmorton

Share this post


Link to post
Share on other sites
meszimark

Hello, I tried to install the newer package, but I got this error. Is there a way to do it right?

 

THECUS N7700 V5.03.02.8

Module will install/upgrade ,please do not reload or close admin UI
Module Name: [ Emby Server ]
Module Version: [ 3.5.2.0 ]
2018/10/23 13:55:29: Module is installing ...
2018/10/23 13:55:29: Firmware mode (N7700) does not match.
2018/10/23 13:55:29: Install module fail.

Share this post


Link to post
Share on other sites
Luke

What architecture is that model?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...